<script>
import { UseLiteVimeo } from '~/mixins';
import Vue from 'vue';
export default Vue.extend({
  name: 'TextBlockWithButtons',
  mixins: [UseLiteVimeo],
  props: {
    data: { type: Object, required: true, default: () => {} },
  },
});
</script>
<template>
  <div class="text-block">
    <SlpTypography
      tag="h3"
      variant="heading3-bold"
      class="slp-mb-32 slp-mt-64"
      >{{ data.title || data.header }}</SlpTypography
    >
    <SlpTypography
      v-if="data.description || data.subtitle"
      tag="div"
      variant="body1"
    >
      <div v-html="$md.render(data.description || data.subtitle)" />
    </SlpTypography>
    <div v-if="data.button?.title">
      <SlpButton
        :href="data.button.url"
        :variant="data.button.variant"
        class="slp-mt-24 slp-mr-24"
      >
        {{ data.button.title }}
      </SlpButton>
      <SlpButton
        v-if="data.secondaryButton?.title"
        :href="data.secondaryButton?.url"
        :variant="data.secondaryButton.variant"
        class="slp-mt-24"
      >
        {{ data.secondaryButton.title }}
        <SlpIcon name="chevron-lg-right" variant="product" />
      </SlpButton>
    </div>
    <div v-if="data.video?.url" class="text-block__video">
      <lite-vimeo
        :videoid="getVimeoVideoId(data.video.url)"
        autoplay
      ></lite-vimeo>
    </div>
  </div>
</template>
<style lang="scss" scoped>
.text-block {
  .slp-btn-secondary::v-deep {
    border-radius: 4px;
    border: 1px solid $color-surface-700;
    transition: 0.25s;

    &:hover {
      border: 1px solid $color-surface-200;
    }
  }
  &__video {
    position: relative;
    padding-bottom: 56.25%;
    margin-top: $spacing-32;

    lite-vimeo {
      position: absolute;
      top: 0;
      left: 0;
      width: 100%;
      height: 100%;
    }
  }
}
</style>
